
# perform single-chip astrometry?
PSASTRO.CHIP.MODE           BOOL     TRUE

# nominal plate scale (microns / pixel)
PSASTRO.PIXEL.SCALE    F32  13.5

# pmAstromGridMatch:
PSASTRO.GRID.SEARCH    BOOL TRUE
PSASTRO.GRID.MIN.ANGLE F32 -2.0 # start angle (degrees)
PSASTRO.GRID.MAX.ANGLE F32 +2.0
PSASTRO.GRID.DEL.ANGLE F32  0.5
PSASTRO.GRID.MIN.SIGMA F32  5.0

# pmAstromGridAngle
# max grid offset in FP units (microns)
# use plate-scale to make this in pixels?
PSASTRO.GRID.OFFSET    F32  10000.
PSASTRO.GRID.SCALE     F32    500.

# these tweak are in FP units (pixels, currently)
PSASTRO.TWEAK.SCALE     F32      1
PSASTRO.TWEAK.RANGE     F32     75
PSASTRO.TWEAK.SMOOTH    F32      2
PSASTRO.TWEAK.NSIGMA    F32      3

# single-chip radius match in pixels
PSASTRO.MATCH.RADIUS   F32    8

# pmAstromMatchFit
PSASTRO.CHIP.ORDER     S32      1  # fit order
PSASTRO.CHIP.NITER     S32      3  # fit clipping iterations
PSASTRO.CHIP.NSIGMA    F32      3  # fit clipping sigmas

PSASTRO.MAX.ERROR      F32      1.5 # max allow error for valid solution (UNITS?)
PSASTRO.MIN.NSTAR      S32      3   # min fitted stars in solution
PSASTRO.MAX.NSTAR      S32      300 # max stars accepted for fitting

PSASTRO.MATCH.LUMFUNC  BOOL     FALSE

MAG_MAX F32 23.0  ## XXX change name to PSASTRO.something?

# option may be MAX, MIN, or VALUE. for VALUE, look up 
# plate scale for each chip in the concepts
PSASTRO.COMMON.SCALE.OPTION	STR	MAX

# mosaic-mode radius match in pixels?
PSASTRO.MOSAIC.RADIUS.N0   F32    8
PSASTRO.MOSAIC.RADIUS.N1   F32    6
PSASTRO.MOSAIC.RADIUS.N2   F32    4

# Mosaic Astrometry options
PSASTRO.MOSAIC.MODE           BOOL     FALSE
PSASTRO.MOSAIC.CHIP.ORDER     S32      3  # fit order
PSASTRO.MOSAIC.ORDER          S32      3  # fit order
PSASTRO.MOSAIC.CHIP.NITER     S32      3  # fit clipping iterations
PSASTRO.MOSAIC.CHIP.NSIGMA    F32      3  # fit clipping sigmas

PSASTRO.MOSAIC.MAX.ERROR.N0   F32      1.5 # max allow error for valid solution (UNITS?)
PSASTRO.MOSAIC.MAX.ERROR.N1   F32      1.5 # max allow error for valid solution (UNITS?)
PSASTRO.MOSAIC.MIN.NSTAR      S32      6   # min fitted stars in solution

PSASTRO.MOSAIC.GRADIENT.NX    S32     2   # number of x-dir cells per chip
PSASTRO.MOSAIC.GRADIENT.NY    S32     2   # number of y-dir cells per chip

DVO.CATDIR STR /data/alala.0/ipp/ippRefs/catdir.2mass
DVO.GETSTAR STR getstar
